Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Koneki » Cannot install LDT on Eclipse 3.6.2 (Win 7 x64)(Error occured during installation on version 3.6.2, use 3.7.1)
icon4.gif  Cannot install LDT on Eclipse 3.6.2 (Win 7 x64) [message #776784] Mon, 09 January 2012 04:15 Go to next message
Josef Gazur is currently offline Josef Gazur
Messages: 3
Registered: January 2012
Junior Member
Hello all,

I had problem with installation LDT plugin into Eclipse 3.6.2

Error:
Cannot complete the install because one or more required items could not be found.
Software being installed: Lua Development Tools (Incubator) 0.1.0.201112161206 (org.eclipse.koneki.ldt.feature.group 0.1.0.201112161206)
Missing requirement: Lua Development Tools' wizards (incubator) 0.1.0.201112161206 (org.eclipse.koneki.ldt.wizards 0.1.0.201112161206) requires 'bundle org.eclipse.dltk.core [3.0.0,4.0.0)' but it could not be found
Cannot satisfy dependency:
From: Lua Development Tools (Incubator) 0.1.0.201112161206 (org.eclipse.koneki.ldt.feature.group 0.1.0.201112161206)
To: org.eclipse.koneki.ldt.wizards [0.1.0.201112161206]

But I downloaded the 3.7.1 (Indigo) and installation was successful. So just for info
Re: Cannot install LDT on Eclipse 3.6.2 (Win 7 x64) [message #776872 is a reply to message #776784] Mon, 09 January 2012 07:47 Go to previous message
Benjamin Cabé is currently offline Benjamin Cabé
Messages: 151
Registered: July 2009
Location: Toulouse, France
Senior Member

Hi Josef,

I have committed a fix for this bug: https://bugs.eclipse.org/bugs/show_bug.cgi?id=368133 thus, from now on, installation from a vanilla Eclipse SDK 3.6 or 3.7 should be seamless.
Reason was LDT is depending on DLTK (Dynamic Languages Tool Kit) 3.0, which is supposed to be the version that was shipped with Eclipse 3.7/Indigo. DLTK 3.0 works fine on 3.6 anyway, and will now be automatically fetched for anyone installing LDT in a vanilla Eclipse 3.6 distro.

Thanks a lot for the feedback, it is very much appreciated!
Previous Topic:[SOLVED] Cannot install on Ubunto 11.10
Next Topic:Debug problem
Goto Forum:
  


Current Time: Fri Jul 25 01:22:29 EDT 2014

Powered by FUDForum. Page generated in 0.24915 seconds